Cierre de Python 3.4 para entorno flexible

El entorno de ejecución de Python 3.4 para el entorno flexible de App Engine se cerrará el 29 de marzo de 2019. Después de esta fecha, las nuevas implementaciones en el entorno flexible de App Engine que solicitan Python versión 3.4 no se implementarán.

Debes actualizar a una versión más reciente de Python antes del 29 de marzo de 2019. Esto te ayudará a evitar los riesgos de seguridad que podría causar el fin de la vida útil de Python 3.4 por parte de la comunidad del lenguaje Python.

Migra a una nueva versión de Python

Para migrar a una nueva versión de Python, haz lo siguiente:

  1. Actualiza el SDK de Cloud con las últimas actualizaciones mediante el comando de gcloud:

    gcloud components update
  2. Actualiza app.yaml para todas las versiones de tu aplicación de la siguiente manera:

    runtime_config:
      python_version: 3
    

    donde 3 significa usar la última versión disponible de Python. Especifica 3.5 para usar Python 3.5.5, o 3.6 si quieres usar Python 3.6.4.

  3. Consulta la documentación de Python para ver los cambios de código necesarios. Las novedades de 3.5 y las novedades de 3.6 proporcionan una descripción general de los cambios ingresados en cada una de estas nuevas versiones.

  4. Implementa tu aplicación. Esto es necesario para obtener los nuevos cambios.

Dónde obtener ayuda

Si te encuentras con algún problema al momento de migrar tu aplicación y tienes un paquete de asistencia, puedes obtener ayuda a través de tu canal de asistencia normal. Si no tienes un paquete de asistencia, responde al correo electrónico que recibiste en el que se te notificaba que Python 3.4 quedaría obsoleto.

¿Te ha resultado útil esta página? Enviar comentarios:

Enviar comentarios sobre...

Documentación de App Engine